<?php
  /*
  Plugin Name: Simple Contact Form
  Plugin URI:  http://www.topcode.co.uk/developments/simple-contact-form/
  Description: Simple contact form with "Are you human?" check
  Version:     1.0.8
  Author:      TopCode
  Author URI:  http://www.topcode.co.uk/ 
  License:     GPL3
  License URI: https://www.gnu.org/licenses/gpl-3.0.html
  Domain Path: /languages/
  Text Domain: simple-contact-form
  */
        
  $tscf_version = '1.0.8';

  defined( 'ABSPATH' ) or die( 'Direct access is not permitted' );
  
  define( 'TSCF_PATH', plugin_dir_path( __FILE__ ) );
  // eg: SC_PATH = '/home/plorro/public_html/my-domain/wp-content/plugins/simple-contact-form/';
    
  define( 'TSCF_URL', plugin_dir_url( __FILE__ ) );
  // eg: SC_URL = 'http://www.my-domain.co.uk/wp-content/plugins/simple-contact-form/';
  
  // load translations
  add_action( 'init', 'tscf_init' );
  function tscf_init() {
    load_plugin_textdomain( 'simple-contact-form', false, TSCF_PATH.'/languages' );
  }
  
  // register scripts
  add_action( 'wp_loaded', 'tscf_register_all_scripts' );
  function tscf_register_all_scripts() {
    global $tscf_version;
    // wp_register_script( $handle, $src, $deps = array(), $ver, $in_footer );
    // $src = full url or path relative to wordpress root
    wp_register_style( 'tscf_admin_styles', TSCF_URL.'css/admin.css', array(), $tscf_version );
  }

  // enqueue scripts
  // no need to repeat src
  add_action( 'admin_enqueue_scripts', 'tscf_enqueue_back_scripts' );  
  function tscf_enqueue_back_scripts () {
    wp_enqueue_style( 'tscf_admin_styles' );
  }
  
  // add pages to admin menu
  add_action( 'admin_menu', 'tscf_register_menu_items' );
  function tscf_register_menu_items() {
    // add_options_page( page_title, menu_title, capability, menu_slug, function);
    $page_title = esc_html__( 'Settings', 'simple-contact-form' );
    $menu_title = esc_html__( 'Simple Contact Form', 'simple-contact-form' );
    add_options_page ( $page_title, $menu_title, 'manage_options', 'simple-contact-form', 'tscf_settings' );
  } // end function
  
  // includes
  require_once( 'includes/functions.php' );
  if( is_admin() ) {
    require_once( 'includes/settings.php' );
  } else {
    require_once( 'includes/contact-form.php' );
  }
  
